MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005805ardourbugspublic2014-01-02 01:252017-12-08 00:55
ReporterderAbgang 
Assigned ToderAbgang 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0005805: auto connect preferences not respected for MIDI tracks
Description
Ardour 3.5.146
(built from revision 3.5-148-g8f69af4)

Preferences ->
  Connection of Tracks and Busses

These settings should also apply to MIDI tracks. While "Connect track inputs" is respected for MIDI tracks, "Connect track and bus outputs" isn't.

Seems like just a typo in libs/ardour/session.cc

git diff libs/ardour/session.cc
diff --git a/libs/ardour/session.cc b/libs/ardour/session.cc
index 40123e0..af52163 100644
--- a/libs/ardour/session.cc
+++ b/libs/ardour/session.cc
@@ -1985,7 +1985,7 @@ Session::auto_connect_route (boost::shared_ptr<Route> route, ChanCount& existing
                        for (uint32_t i = output_start.get(*t); i < route->n_outputs().get(*t); ++i) {
                                string port;
 
- if ((*t) == DataType::MIDI || Config->get_output_auto_connect() & AutoConnectPhysical) {
+ if ((*t) == DataType::MIDI && Config->get_output_auto_connect() & AutoConnectPhysical) {
                                        port = physoutputs[(out_offset.get(*t) + i) % nphysical_out];
                                } else if ((*t) == DataType::AUDIO && Config->get_output_auto_connect() & AutoConnectMaster) {
                                         /* master bus is audio only */


TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0015535)
derAbgang (reporter)
2014-01-03 11:54

Merged #65

https://github.com/Ardour/ardour/pull/65 [^]

- Issue History
Date Modified Username Field Change
2014-01-02 01:25 derAbgang New Issue
2014-01-03 11:54 derAbgang Note Added: 0015535
2014-01-03 11:54 derAbgang Status new => resolved
2014-01-03 11:54 derAbgang Resolution open => fixed
2014-01-03 11:54 derAbgang Assigned To => derAbgang


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker